<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

//receiving the values A and B is now interpreted as
//receiving the frequency and the amplitude of a partial

//exercise: substitute the code of "ReceivePartial" with the code from 
//the instrument we coded in the first part of the workshop

instr SendPartials

 ;two arrays of the same length, with frequencies and amplitudes 
 iAmps[] fillarray 0.5, 0.3, 0.2, 0.1, 0.1
 iFreqs[] fillarray 100, 200, 300, 400, 500
 
 index = 0
 while index < lenarray(iFreqs) do
 
  ;get the frequency and the amplitude for a certain partial
  iAmp = iAmps[index]
  iFreq = iFreqs[index]
  
  ;... and send them as p4 and p5 (p3 is set to this p3)
  schedule "ReceivePartials", 0, p3, iAmp, iFreq
  
  index += 1
  
 od

endin

instr ReceivePartials

 ;receive the freq and the amp
 iAmp = p4
 iFreq = p5
 print iAmp,iFreq
 
 ;create partial
 aEnv transeg iAmp, p3, -4, 0
 aPartial poscil aEnv, iFreq
 
 ;output
 out aPartial, aPartial
 
endin


</CsInstruments>
<CsScore>
i "SendPartials" 0 5
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
