<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

//we substitute the raw frequencies in the main instrument by proportions


instr SendPartials

 ;frequencies are now calculated by a base frequency ...
 iBaseFreq = 100
 ;... and an array of proportions
 iFreqProps[] fillarray 1, 2, 3, 4, 5
 iAmps[] fillarray 0.5, 0.3, 0.2, 0.1, 0.1
 
 index = 0
 while index < lenarray(iFreqProps) do
 
  ;frequency is now basefreq times proportion
  iFreq = iBaseFreq*iFreqProps[index]
  iAmp = iAmps[index]
  
  schedule "ReceivePartials", 0, p3, iFreq, iAmp
  
  index += 1
  
 od

endin

instr ReceivePartials

 iFreq = p4
 iAmp = p5
 iAttackTime random 1/1000, 3/1000 
 aEnv transeg 0, iAttackTime, 4, iAmp, p3-iAttackTime, -4, 0
 aEnvRndDb randi 1, 3, 2
 kPchRnd randi 1/12, 6, 2
 aSine poscil aEnv*ampdb(aEnvRndDb), mtof(kPchRnd+ftom(iFreq))
 out aSine, aSine
 
endin


</CsInstruments>
<CsScore>
i "SendPartials" 0 5
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
